DescriptorProtos
Date: 2017-07-08

com.google.protobuf

## Class DescriptorProtos

- java.lang.Object
- - com.google.protobuf.DescriptorProtos

-     public final class DescriptorProtos
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DescriptorProtos.DescriptorProto` Describes a message type.
    `static interface` | `DescriptorProtos.DescriptorProtoOrBuilder`
    `static class` | `DescriptorProtos.EnumDescriptorProto` Describes an enum type.
    `static interface` | `DescriptorProtos.EnumDescriptorProtoOrBuilder`
    `static class` | `DescriptorProtos.EnumOptions` Protobuf type `google.protobuf.EnumOptions`
    `static interface` | `DescriptorProtos.EnumOptionsOrBuilder`
    `static class` | `DescriptorProtos.EnumValueDescriptorProto` Describes a value within an enum.
    `static interface` | `DescriptorProtos.EnumValueDescriptorProtoOrBuilder`
    `static class` | `DescriptorProtos.EnumValueOptions` Protobuf type `google.protobuf.EnumValueOptions`
    `static interface` | `DescriptorProtos.EnumValueOptionsOrBuilder`
    `static class` | `DescriptorProtos.FieldDescriptorProto` Describes a field within a message.
    `static interface` | `DescriptorProtos.FieldDescriptorProtoOrBuilder`
    `static class` | `DescriptorProtos.FieldOptions` Protobuf type `google.protobuf.FieldOptions`
    `static interface` | `DescriptorProtos.FieldOptionsOrBuilder`
    `static class` | `DescriptorProtos.FileDescriptorProto` Describes a complete .proto file.
    `static interface` | `DescriptorProtos.FileDescriptorProtoOrBuilder`
    `static class` | `DescriptorProtos.FileDescriptorSet` The protocol compiler can output a FileDescriptorSet containing the .proto files it parses.
    `static interface` | `DescriptorProtos.FileDescriptorSetOrBuilder`
    `static class` | `DescriptorProtos.FileOptions` Protobuf type `google.protobuf.FileOptions`
    `static interface` | `DescriptorProtos.FileOptionsOrBuilder`
    `static class` | `DescriptorProtos.GeneratedCodeInfo` Describes the relationship between generated code and its original source file.
    `static interface` | `DescriptorProtos.GeneratedCodeInfoOrBuilder`
    `static class` | `DescriptorProtos.MessageOptions` Protobuf type `google.protobuf.MessageOptions`
    `static interface` | `DescriptorProtos.MessageOptionsOrBuilder`
    `static class` | `DescriptorProtos.MethodDescriptorProto` Describes a method of a service.
    `static interface` | `DescriptorProtos.MethodDescriptorProtoOrBuilder`
    `static class` | `DescriptorProtos.MethodOptions` Protobuf type `google.protobuf.MethodOptions`
    `static interface` | `DescriptorProtos.MethodOptionsOrBuilder`
    `static class` | `DescriptorProtos.OneofDescriptorProto` Describes a oneof.
    `static interface` | `DescriptorProtos.OneofDescriptorProtoOrBuilder`
    `static class` | `DescriptorProtos.OneofOptions` Protobuf type `google.protobuf.OneofOptions`
    `static interface` | `DescriptorProtos.OneofOptionsOrBuilder`
    `static class` | `DescriptorProtos.ServiceDescriptorProto` Describes a service.
    `static interface` | `DescriptorProtos.ServiceDescriptorProtoOrBuilder`
    `static class` | `DescriptorProtos.ServiceOptions` Protobuf type `google.protobuf.ServiceOptions`
    `static interface` | `DescriptorProtos.ServiceOptionsOrBuilder`
    `static class` | `DescriptorProtos.SourceCodeInfo` Encapsulates information about the original source file from which a FileDescriptorProto was generated.
    `static interface` | `DescriptorProtos.SourceCodeInfoOrBuilder`
    `static class` | `DescriptorProtos.UninterpretedOption` A message representing a option the parser does not recognize.
    `static interface` | `DescriptorProtos.UninterpretedOptionOrBuilder`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Descriptors.FileDescriptor` | `getDescriptor()`
    `static void` | `registerAllExtensions(ExtensionRegistry registry)`
    `static void` | `registerAllExtensions(ExtensionRegistryLite registry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### registerAllExtensions

          public static void registerAllExtensions(ExtensionRegistryLite registry)

    - #### registerAllExtensions

          public static void registerAllExtensions(ExtensionRegistry registry)

    - #### getDescriptor

          public static Descriptors.FileDescriptor getDescriptor()